/*
 * This file is generated by jOOQ.
 */
package nu.studer.sample.tables.pojos;


import java.io.Serializable;
import java.util.UUID;

import javax.annotation.processing.Generated;


/**
 * Таблица пользователей
 */
@Generated(
    value = {
        "https://www.jooq.org",
        "jOOQ version:3.15.1"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Customer implements Serializable {

    private static final long serialVersionUID = 1L;

    private final UUID    uuid;
    private final String  nickname;
    private final Boolean isActive;

    public Customer(Customer value) {
        this.uuid = value.uuid;
        this.nickname = value.nickname;
        this.isActive = value.isActive;
    }

    public Customer(
        UUID    uuid,
        String  nickname,
        Boolean isActive
    ) {
        this.uuid = uuid;
        this.nickname = nickname;
        this.isActive = isActive;
    }

    /**
     * Getter for <code>selfbooster.customer.uuid</code>.
     */
    public UUID getUuid() {
        return this.uuid;
    }

    /**
     * Getter for <code>selfbooster.customer.nickname</code>.
     */
    public String getNickname() {
        return this.nickname;
    }

    /**
     * Getter for <code>selfbooster.customer.is_active</code>.
     */
    public Boolean getIsActive() {
        return this.isActive;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Customer (");

        sb.append(uuid);
        sb.append(", ").append(nickname);
        sb.append(", ").append(isActive);

        sb.append(")");
        return sb.toString();
    }
}
